mean {base} | R Documentation

## Arithmetic Mean

### Description

Generic function for the (trimmed) arithmetic mean.

### Usage

    mean(x, trim=0, na.rm=FALSE)

### Arguments

`x` | a numeric vector containing the values whose mean is to be computed.
`trim` | the fraction (0 to 0.5) of observations to be trimmed from each end of `x` before the mean is computed.
`na.rm` | a logical value indicating whether `NA` values should be stripped before the computation proceeds.

### Value

If `trim` is zero (the default), the arithmetic mean of the values in `x` is computed.

If `trim` is non-zero, a symmetrically trimmed mean is computed with a fraction of `trim` observations deleted from each end before the mean is computed.

### See Also

`weighted.mean`

### Examples

    x <- c(0:10, 50)
    xm <- mean(x)
    c(xm, mean(x, trim = .10))

[Package Contents]